document.addEventListener('change', function (e) {
    var checkbox = e.target;
    if (checkbox.classList.contains('Checkbox__Input')) {
        var wrapper = checkbox.closest('.FormControl__Inner');
        var uncheckWarning = wrapper.querySelector('.Checkbox').getAttribute('data-uncheck-warning');
        if (uncheckWarning) {
            if (!checkbox.checked) {
                var message = document.createElement('div');
                message.classList.add('Message', 'Message_warning');
                message.innerHTML = uncheckWarning;
                console.log(message);
                if (wrapper.nextElementSibling) {
                    wrapper.parentNode.insertBefore(message, wrapper.nextElementSibling);
                }
                else {
                    wrapper.parentNode.appendChild(message);
                }
            }
            else {
                var message = wrapper.parentNode.querySelector('.Message_warning');
                if (message) {
                    message.parentNode.removeChild(message);
                }
            }
        }
    }
});
//# sourceMappingURL=checkbox.js.map